/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.openspml.v2.msg.spml;

import org.openspml.v2.msg.PrefixAndNamespaceTuple;

/**
 *
 * @author ricky
 */
public abstract class BasicResponse extends Response {

    protected BasicResponse() {
    }

    protected BasicResponse(String[] errorMessages, StatusCode status,
            String requestId, ErrorCode errorCode) {
        super(errorMessages, status, requestId, errorCode);
    }

    @Override
    public PrefixAndNamespaceTuple[] getNamespacesInfo() {
        return PrefixAndNamespaceTuple.concatNamespacesInfo(super.getNamespacesInfo(),
                NamespaceDefinitions.getMarshallableNamespacesInfo());
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof BasicResponse)) {
            return false;
        }
        if (!super.equals(o)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int result = super.hashCode();
        return result;
    }
}
